Package twisted :: Package trial :: Module remote :: Class TrialProcessProtocol

[show private | hide private]
[frames | no frames]

## Class TrialProcessProtocol

    BaseProtocol --+
                   |
            Protocol --+
                       |
           Ephemeral --+
                       |
                  Pynana --+
                           |
                      Canana --+
                               |
                    DecodeReport --+
                                   |
                BaseProtocol --+   |
                               |   |
                 ProcessProtocol --+
                                   |
                                  TrialProcessProtocol

Method Summary
| `__init__(self, reporter)` (inherited from `DecodeReport`)
| `__getstate__(self)` (inherited from `Ephemeral`)
| `__setstate__(self, state)` (inherited from `Ephemeral`)
| `callExpressionReceived(self, obj)` (inherited from `Pynana`)
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``connectionMade`(self)` Called when a connection is made. (inherited from `Canana`)
| ``connectionReady`(self)` Surrogate for connectionMade Called after protocol negotiation. (inherited from `Pynana`)
| `dataReceived(self, chunk)` (inherited from `Canana`)
| ``errConnectionLost`(self)` This will be called when stderr is closed. (inherited from `ProcessProtocol`)
| ``errReceived`(self, data)` Some data was received from stderr.
| ``expressionReceived`(self, lst)` Called when an expression (list, string, or int) is received. (inherited from `DecodeReport`)
| `gotItem(self, item)` (inherited from `Pynana`)
| ``inConnectionLost`(self)` Called when stdin is shut down. (inherited from `ProcessProtocol`)
| ``outConnectionLost`(self)` Called when stdout is shut down. (inherited from `ProcessProtocol`)
| ``outReceived`(self, data)` Some data was received from stdout.
| ``processEnded`(self, reason)` This will be called when the subprocess is finished. (inherited from `ProcessProtocol`)
| `sendEncoded(self, obj)` (inherited from `Canana`)

Method Details

### errReceived(self, data)

Some data was received from stderr.

  Overrides:
    `twisted.internet.protocol.ProcessProtocol.errReceived` (inherited documentation)

### outReceived(self, data)

Some data was received from stdout.

  Overrides:
    `twisted.internet.protocol.ProcessProtocol.outReceived` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:16:56 2003 | http://epydoc.sf.net